Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infinispan.schematic.internal.delta
Class AddValueOperation

    java.lang.Object
      org.infinispan.schematic.internal.delta.Operation
          org.infinispan.schematic.internal.delta.ArrayOperation
              org.infinispan.schematic.internal.delta.AddValueOperation

Direct Known Subclasses:
  AddValueIfAbsentOperation

    @SerializeWith(value=AddValueOperation.Externalizer.class)
    public class AddValueOperation

extends ArrayOperation

An atomic array add operation for SchematicValueDelta.

Since:
  5.1
Author:
  Randall Hauch (C) 2011 Red Hat Inc.

Nested Class Summary
`static class` | `AddValueOperation.Externalizer`

Field Summary
`protected int` | `actualIndex`
`protected static int` | `APPEND_INDEX`
`protected int` | `index`
`protected Object` | `value`

Fields inherited from class org.infinispan.schematic.internal.delta.Operation
`parentPath`

Constructor Summary
`AddValueOperation(Path path, Object value)`
`AddValueOperation(Path path, Object value, int index)`

Method Summary
`AddValueOperation` | `clone()`
`int` | `getActualIndex()`
`int` | `getIndex()`
`Object` | `getValue()`
`void` | `replay(MutableDocument delegate)`
`void` | `rollback(MutableDocument delegate)`
`String` | `toString()`

Methods inherited from class org.infinispan.schematic.internal.delta.ArrayOperation
`cloneValues, mutableParent`

Methods inherited from class org.infinispan.schematic.internal.delta.Operation
`cloneValue, getParentPath`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### APPEND_INDEX

    protected static final int APPEND_INDEX

See Also:
  Constant Field Values

### value

    protected final Object value

### index

    protected final int index

### actualIndex

    protected transient int actualIndex

Constructor Detail

### AddValueOperation

    public AddValueOperation(Path path,
                             Object value)

### AddValueOperation

    public AddValueOperation(Path path,
                             Object value,
                             int index)

Method Detail

### clone

    public AddValueOperation clone()

  Specified by:
    `clone` in class `Operation`

### getValue

    public Object getValue()

### getIndex

    public int getIndex()

### getActualIndex

    public int getActualIndex()

### rollback

    public void rollback(MutableDocument delegate)

  Specified by:
    `rollback` in class `Operation`

### replay

    public void replay(MutableDocument delegate)

  Specified by:
    `replay` in class `Operation`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.